/*
 * Class WEL_ILC_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_615 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_615 [] = {0xFF01,1551,614,0xFFFF};
static const EIF_TYPE_INDEX egt_2_615 [] = {0xFF01,614,0xFFFF};
static const EIF_TYPE_INDEX egt_3_615 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_615 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_615 [] = {0xFF01,614,0xFFFF};
static const EIF_TYPE_INDEX egt_6_615 [] = {0xFF01,614,0xFFFF};
static const EIF_TYPE_INDEX egt_7_615 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_615 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_615 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_615 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_615 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_615 [] = {0xFF01,614,0xFFFF};


static const struct desc_info desc_615[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_615), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_615), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_615), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_615), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_615), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_615), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_615), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_615), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_615), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_615), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_615), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_615), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04CD /*614*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_615), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14915, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14916, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14917, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14918, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14919, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14922, 0xFFFFFFFF},
};
void Init615(void)
{
	IDSC(desc_615, 0, 614);
	IDSC(desc_615 + 1, 1, 614);
	IDSC(desc_615 + 32, 1428, 614);
}


#ifdef __cplusplus
}
#endif
